--书籍
create table if not exists book_info(
    local_book_id  text,
    book_id text UNIQUE,
    reader_id text,
    book_info text,
    ctime text,
    operate_status int DEFAULT 0,
    PRIMARY KEY(local_book_id)
)
go
--本地卷
create table if not exists division_info(
    local_division_id  text ,
    local_book_id text,
    book_id text ,
    division_id text UNIQUE ,
    ctime text,
    division_index int,
    division_info text,
    operate_status int DEFAULT 0,
    PRIMARY KEY(local_division_id)
)
go
--本地章节
create table if not exists chapter_info(
    local_chapter_id  text ,
    local_division_id  text ,
    local_uptime text,
    local_book_id text,
    local_delete_status int DEFAULT 0,
    local_file_name text,
    book_id text,
    chapter_id text UNIQUE ,
    division_id text,
    chapter_index int,
    chapter_info text,
    cloud_uptime text,
    ctime text,
    operate_status int DEFAULT 0,
    PRIMARY KEY(local_chapter_id)
)
go
--本地章节时光机
create table if not exists chapter_history_info(
    local_chapter_id  text,
    local_uptime text,
    local_book_id text,
    chapter_title text,
    local_file_name text,
    word_count int
)
go
--随笔
create table if not exists essay_info(
    local_id text,
    essay_id text UNIQUE,
    reader_id text,
    essay_info text,
    ctime text,
    uptime text,
    local_uptime text,
   PRIMARY KEY(local_id)
)
go
--大纲
create table if not exists outline_info(
    book_local_id text,
    book_id text,
    reader_id text ,
    outline_content text ,
    uptime text ,
    local_uptime text,
   PRIMARY KEY(book_local_id)
)
go
--大纲历史
create table if not exists outline_history_info(
    book_local_id text,
    book_id text,
    reader_id text ,
    outline_content text,
    uptime text,
    local_uptime text
)
go

--线上书籍章节目录信息缓存
create table if not exists catalog1(
	_id INTEGER,
	book_id text ,
	chapter_id text UNIQUE,
	division_id text,
	chapter_index int,
	chapter_title text,
	word_count int,
	tsukkomi_amount int DEFAULT 0,
	is_vip int DEFAULT 0,
	is_update int DEFAULT 0,
	unit_hlb int,
	auth_access int,
	uptime text,
	is_download int DEFAULT 0,
	 primary key(_id,chapter_id)
)
go

--线上书籍分卷信息缓存
create table if not exists division(
	_id int,
	book_id text,
	division_index int,
	division_id text,
	last_update_time text,
	max_chapter_index int,
	division_name text,
	description text,
    primary key(division_id)
)
go