--历史搜索
create table if not exists history_search(
    word text not null,
    modify_time datetime not null,
    primary key(word)
)
go

--历史阅读缓存
create table if not exists read_history(
    reader_id text,
    book_id text,
    book_info text,
	chapter_title text,
	chapter_id text,
	read_time text,
    primary key(reader_id, book_id)
)
go
--书架信息缓存
create table if not exists shelf_info(
    shelf_id text not null,
    reader_id text not null,
    shelf_name text,
    shelf_index text,
    book_limit int,
    PRIMARY KEY(shelf_id,reader_id)
)
go
--书架里面的书缓存
--update_time最新更新时间
--update_chapter最新章节信息
--is_update貌似没用
create table if not exists shelf_book_info(
    shelf_id text,
    book_id text not null,
    reader_id text not null,
    book_info text,
    mode_time text,
    is_update int,
    is_notify int,
    is_buy int,
    update_time text,
    last_read_chapter_id text,
    last_read_chapter_update_time text,
	last_read_time_loc text ,
	stick_time text,
	PRIMARY KEY(book_id,reader_id)
)
go
--阅读记录
create table if not exists read_record(
        read_time text,
        first_paragraph text,
        page_index int ,
        chapter_id text,
        chapter_title text,
        book_id text,
        reader_id text,
        book_info text,
        primary key(reader_id, book_id)
)
go
--自动购买记录表
--is_tips表示是否有提示过：0：没有、1：有
create table if not exists auto_buy(
    reader_id text,
	book_id text,
	is_tips int,
    primary key(reader_id,book_id)
)
go
--书籍目录数据库升级
ALTER TABLE "catalog1" RENAME TO "catalog1_temp";
go
create table if not exists catalog1(
   	_id INTEGER,
   	book_id text ,
   	chapter_id text UNIQUE,
   	division_id text,
   	chapter_index int,
   	chapter_title text,
   	word_count int,
   	tsukkomi_amount int DEFAULT 0,
   	is_vip int DEFAULT 0,
   	is_valid int DEFAULT 0,
   	is_update int DEFAULT 0,
   	unit_hlb int,
   	auth_access int,
   	uptime text,
   	local_save_time text,
   	is_download int DEFAULT 0,
   	 primary key(_id,chapter_id)
)
go
delete from catalog1_temp where rowid  not in(select max(rowid) from catalog1_temp group by chapter_id)
go
INSERT INTO "catalog1" ("book_id", "chapter_id","division_id",
"chapter_index","chapter_title","word_count","tsukkomi_amount","is_vip",
"is_update","unit_hlb","auth_access","uptime","is_download")
SELECT "book_id", "chapter_id","division_id",
"chapter_index","chapter_title","word_count","tsukkomi_amount","is_vip",
"is_update","unit_hlb","auth_access","uptime","is_download" FROM "catalog1_temp"
go
DROP TABLE catalog1_temp
go